#!/bin/sh
ulimit -HSn 65534

PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`

APP_HOME=`cd "$PRGDIR/.." >/dev/null; pwd`

cd $APP_HOME

JVM_START="-server -Xms256m -Xmx256m -Xmn256m -XX:PermSize=64m -XX:MaxPermSize=128m -XX:MaxDirectMemorySize=1024m"
JVM_START="$JVM_START -XX:+UseParNewGC -XX:+UseConcMarkSweepGC"
JVM_START="$JVM_START -XX:+TieredCompilation"
JVM_START="$JVM_START -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:+HeapDumpOnOutOfMemoryError -Xloggc:log/flash_gc_$(date +"%Y%m%d%H%M").log"

CLASSPATH="${APP_HOME}:${APP_HOME}/lib/*"

LOG4J2_CONFIG_FILE="${APP_HOME}/config/log4j2.xml"
MAIN_CLASS="GateStart"
pidFile="$APP_HOME/bin/app.pid"
mkdir -p ${APP_HOME}/log/
> ${APP_HOME}/log/app.out
echo "Using APP_HOME:                  $APP_HOME"               > ${APP_HOME}/log/app.out
echo "Using CLASSPATH:                 $CLASSPATH"              >> ${APP_HOME}/log/app.out
echo "Using JVM_START:                 $JVM_START"              >> ${APP_HOME}/log/app.out
echo "Using MAIN_CLASS:                $MAIN_CLASS"             >> ${APP_HOME}/log/app.out
echo "Using LOG4J2_CONFIG_FILE:        $LOG4J2_CONFIG_FILE"    >> ${APP_HOME}/log/app.out
echo "Using PID_FILE:                  $pidFile"                >> ${APP_HOME}/log/app.out



#java -classpath $CLASSPATH $JVM_START -DAPP_HOME=${APP_HOME} -Dlog4j.configurationFile=${LOG4J2_CONFIG_FILE} ${MAIN_CLASS} >> ${APP_HOME}/log/app.out 2>&1 & echo $! >$pidFile
java $JVM_START -DAPP_HOME=${APP_HOME} -Dlog4j.configurationFile=${LOG4J2_CONFIG_FILE} -jar ${APP_HOME}/lib/web-gate-1.0.jar >> ${APP_HOME}/log/app.out 2>&1 &
